> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete AI agent

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

The `DELETE /2.0/ai_agents/{id}` endpoint allows you to delete a custom AI agent based on its ID.

## Send a request

To send a request, use the `DELETE /2.0/ai_agents/{id}` endpoint.

<CodeGroup>
  ```sh cURL theme={null}
  curl -L DELETE "https://api.box.com/2.0/ai_agents/12345" \
        -H 'Authorization: Bearer <ACCESS_TOKEN>'
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.aiStudio.deleteAiAgentById(createdAgent.id);
  ```

  ```python Python v10 theme={null}
  client.ai_studio.delete_ai_agent_by_id(created_agent.id)
  ```

  ```cs .NET v10 theme={null}
  await client.AiStudio.DeleteAiAgentByIdAsync(agentId: createdAgent.Id);
  ```

  ```swift Swift v10 theme={null}
  try await client.aiStudio.deleteAiAgentById(agentId: createdAgent.id)
  ```

  ```java Java v10 theme={null}
  client.getAiStudio().deleteAiAgentById(createdAgent.getId())
  ```
</CodeGroup>

### Parameters

To make a call, you must pass the following parameters. Mandatory parameters are in **bold**.

| Parameter      | Description                    | Example |
| -------------- | ------------------------------ | ------- |
| **`agent_id`** | The ID of the agent to delete. | `1234`  |

<RelatedLinks
  title="RELATED GUIDES"
  items={[
  { label: "Developer Tokens", href: "/guides/authentication/tokens/developer-tokens", badge: "GUIDE" },
  { label: "Ask questions to Box AI", href: "/guides/box-ai/ai-tutorials/ask-questions", badge: "GUIDE" },
  { label: "Override AI model configuration", href: "/guides/box-ai/ai-tutorials/default-agent-overrides", badge: "GUIDE" },
  { label: "Generate text with Box AI", href: "/guides/box-ai/ai-tutorials/generate-text", badge: "GUIDE" },
  { label: "Extract metadata from file (structured)", href: "/guides/box-ai/ai-tutorials/extract-metadata-structured", badge: "GUIDE" },
  { label: "Extract metadata from file (freeform)", href: "/guides/box-ai/ai-tutorials/extract-metadata", badge: "GUIDE" }
]}
/>
